<?php

namespace App\Models\Auth;

use Illuminate\Database\Eloquent\Model;

class UserPendingData extends Model
{
    protected $guarded = [];

    // I like to explicitly define tables
    protected $table = 'user_pending_data';

    protected $fillable = [
        'pending_data'
    ];

    public function user()
    {
        return $this->hasOne('App\Models\Auth\User', 'id', 'user_id');
    }
}
