<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateForumChannelsForumThreadsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(!Schema::hasTable('forum_channels_forum_threads')) {
            Schema::create('forum_channels_forum_threads', function (Blueprint $table) {
                $table->bigInteger('id', true);
                $table->bigInteger('forum_channels_id')->nullable();
                $table->bigInteger('forum_threads_id')->nullable();
                $table->timestamps();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('forum_channels_forum_threads');
    }
}
