const initBackgrounds = () => {
    console.log('initialising backgrounds')
    //console.log(canvas.backgroundColor)
    $("#backgroundOpacityRange").on('change', (e) => {
        console.log('changing bg image opacity')
        if (canvas.backgroundImage) {
            canvas.backgroundImage.set('opacity', (e.target.value / 100));
            $("#background_opacity_number").text(e.target.value + '%');
        }
        canvas.renderAll()
    });
    // if (canvas.backgroundImage) {
    //     $("#background_opacity_controller_container").show()
    // }else{
    //     $("#background_opacity_controller_container").hide()
    // }


    $("#update_background_colour").on('change.spectrum', function(e, tinycolor) {
        updateBackgroundColour(tinycolor)
    });
    if (canvas.backgroundColor) {
        $("#update_background_colour").spectrum('set', canvas.backgroundColor);


    }


}


// the user uploaded image upload functionality
Dropzone.options.backgroundImageDropzone = {
    // autoProcessQueue: false,
    params: {
        '_token': $('meta[name="csrf-token"]').attr('content')
    },
    maxFiles: 1,
    acceptedFiles: "image/jpeg,image/png,image/svg",
    init: function (e) {

        console.log(e)
        this.on("addedfile", function (file) {
            let reader = new FileReader();
            console.log(file);
            //alert("Added file."); });
           // updateBackgroundImage(file.dataURL);
            // canvas.setBackgroundImage(file.dataURL, canvas.renderAll.bind(canvas), {});
            // canvas.backgroundImageStretch = true;
            // canvas.renderAll();
           // this.removeFile(file);
        });


        this.on("success", function (file, result) {
            if (result.status == 200) {
                console.log('succeeded')
                updateBackgroundImage(file.dataURL);
                this.removeFile(file);
                // add to canvas
                //     canvas.setBackgroundImage(file.dataURL, canvas.renderAll.bind(canvas));
                // fabric.Image.fromURL(file.dataURL, function(img, isError) {
                //     img.set({width: canvas.width, height: canvas.height, originX: 'left', originY: 'top'});
                //     canvas.setBackgroundImage(img, canvas.renderAll.bind(canvas));
                // });

                // let newElement = $('<div class="col-xs-2"><div><img alt="Background image" class="background_image_preview"  data-id="'+result.id+'" onclick="updateBackgroundImage(event)" src="' + baseurl + '/board/userbackground/' + result.id + '/thumb"></div></div>');
                // $("#existing_background_col").prepend(newElement);
                // newElement.find('.user_image_preview').draggabilly(clipart_dragoptions)
                //     .on('pointerDown',shapes_pointerDown)
                //     .on('dragStart', user_image_dragStart)
                //     .on('dragEnd', user_image_dragEnd);
                // this.removeFile(file);
                //   console.log(JSON.parse(file.xhr.response).location);
                // fabric.Image.fromURL(JSON.parse(file.xhr.response).location, imgObj => {
                //     if (imgObj.width > imgObj.height) {
                //         imgObj.scaleToHeight(canvas.height);
                //     } else {
                //         imgObj.scaleToWidth(canvas.width);
                //     }
                //
                //     // imgObj.scaleToHeight(canvas.height);
                //     canvas.setBackgroundImage(imgObj, canvas.renderAll.bind(canvas), {
                //         // opacity: 1,
                //         // strech: true
                //     });
                //     //canvas.renderAll();
                // });


                //for new design
                // let content='<li class="userBackgroundImage"> <img src="' + baseurl + '/board/userbackground/' + result.id + '/thumb" alt=""> </li>';
                // $(content).find('.userBackgroundImage').draggable({
                //     helper: "clone",
                //     revert: true,
                //     revertDuration: 0,
                //     zIndex: 1000000,
                //     containment: "#myCanvas"
                // })
                // $("#userBackgroundImages").prepend(content);
            } else {
                this.removeFile(file);
                console.log("Issues is uploading type", result.type);
            }

        });
        this.on('error', function (file, result) {
            this.removeFile(file);
            console.log(file, result);
        })
    }
};


// update the text on the canvas
const updateBackgroundColour = (colour, e) => {
    // $(".bg-opacity").hide();
    // $("#background_colour").colorpicker('hide')
    //canvas.setBackgroundImage(0)
    console.log('setting background colour')
    if(colour) {
        canvas.setBackgroundColor(colour.toString());
    }else {
        canvas.setBackgroundColor('#fff');
    }
   //@FIXME   canvas.setBackgroundColor($("#background_colour").colorpicker('getValue'));
    canvas.renderAll();
}

const updateBackgroundImage = (url) => {
    //$(".bg-opacity").show();
console.log('updateBackgroundImage')

  //  canvas.set('backgroundImage', url)
    fabric.Image.fromURL(url, function(imgObj){
        canvas.setBackgroundImage(imgObj, canvas.renderAll.bind(canvas), {
            scaleX: (canvas.width / imgObj.width)/canvas.getZoom(),
            scaleY: (canvas.height / imgObj.height)/canvas.getZoom()
        });
        // $("#background_modal").modal('hide');
        canvas.renderAll();
    });
     canvas.renderAll();
}



const updateBackgroundType = () => {
    //console.log(canvas.backgroundImage.toDataURL())
    switch ($("#background_fill_type").val()) {
        case 'fill':
            break;
        case 'stretch':
            // {
            //     backgroundImageOpacity: 0.5,
            //         backgroundImageStretch: false
            // }
            break;
        case 'tile':
            // get canvas background
            // let image = canvas.backgroundImage.toDataURL();
            // canvas.setBackgroundColor(new fabric.Pattern({source: image, repeat: 'repeat'}),  ()=>{console.log('sbfd');canvas.renderAll()});
            // canvas.backgroundImage = false;
            break;

    }
    canvas.renderAll()
    console.log('complete')
}

// const addBackgroundImageToCanvas = (id, top, left) => {
//     console.log('adding to canvas');
//     console.log(id);
//     console.log(top);
//     console.log(left);
//     fabric.Image.fromURL(baseurl + '/board/userbackground/' + id + '/display', function (oImg) {
//         oImg.left = left/canvas.getZoom();// + (oImg.getScaledWidth() / 2);
//         oImg.top = top/canvas.getZoom();
//         // oImg.top = top;
//         // oImg.left = left;
//         oImg.scaleToWidth(200);
//         canvas.add(oImg).renderAll();
//     });
//    // $("#new_image_modal").modal('hide');
// }

const removeBackgroundImg = ()=>{
    canvas.backgroundImage = false;
    canvas.renderAll()
}
