// the currently selected user uploaded image ID.
var currentUserImageID = -1;

// the content template for the info popover for the board preview
const user_image_infopopovercontent = '<div class="d-flex flex-column w-100" >' +
    '<div class="w-100 mb-1 ">' +
    '<img class="info_details_preview is-loading"></img>'+
    '</div>' +
    '</div>';

const initUserImages = () => {
    // add draggable functionality to user images
    // $user_images_draggable = $(".user_image_preview").draggabilly( {
    //     containment: "#myCanvas"
    // });
    // $user_images_draggable.on('dragStart', user_image_dragStart);
    // $user_images_draggable.on('dragEnd', user_image_dragEnd);
    getAllUserImages(1);
}

const getAllUserImages =  (page) => {
    //$("#selected_clipart_name").html();
    console.log('loading...')
    //@TODO append a loading indicator to the bottom of the clipart list
    var vars = [];
    loading = true;
    axios.get(baseurl + '/board/usermedia/getbypage', {params: {page: page}})
        .then((response) => {
           // let newElements = '';
            let content='';
            response.data.items.forEach((item, index) => {
                // newElements +='<div class="user_image_preview_div col-xs-2" data-id="' + item.id + '" data-name="' + item.name + '" data-src="' + baseurl + '/board/usermedia/' + item.id + '/thumb">' +
                //     '<div >' +
                //     '<label style="position: relative;">' +
                //     // this space is for making favrourites
                //     // '<a href="#" class="clipart_fav_btn" ><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-three-dots-vertical" viewBox="0 0 16 16">\n' +
                //     // '  <path d="M9.5 13a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0z"/>\n' +
                //     // '</svg></a>'+
                //     '<a href="#" onclick="addUserImageToCanvas(' + item.id + ', 50,50)" class="clipart_add_btn" ><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-plus" viewBox="0 0 16 16"><path d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"/></svg></a>'+
                //     '<input type="radio"  name="image_selection" value="' + item.id + '" data-name="' + item.name + '">' +
                //     '<img alt="' + item.name + '" class="user_images_preview is-loading" src="' + baseurl + '/board/usermedia/' + item.id + '/thumb" >' +
                //     '</label>' +
                //     '</div>' +
                //     '</div>';

                    content+='<li class="user_image_preview_div"' +
                        ' data-id="' + item.id + '' +
                        '" data-name="' + item.name + '' +
                        '" data-src="' +
                        '' + baseurl + '/board/usermedia/' + item.id + '/thumb"> ' +
                        '<img src="'+baseurl + '/board/usermedia/' + item.id+'/thumb" alt="" class="user_images_preview">' +
                            '<a href="#" style="position: relative; top:-82px; left: 4px" class="user_img_delete_btn" onclick="confirmUserImageDelete('+ item.id+')"><i class="fas fa-window-close text-danger"></i></a>'+
                        ' </li>'

            });
          //  $("#existing_image_col").append($(newElements));
            $('#userImagesList').append($(content));

            $('.user_image_preview_div').popover({
                html: true,
                animation:false,
                placement: 'right',
                trigger: 'hover',
                delay: {"show": 500, "hide": 100},
                template: '<div class="popover" role="tooltip"><h3 class="popover-header"></h3><div class="popover-body"></div></div>',
                content: user_image_infopopovercontent,
                sanitize: false,
                boundary:'window',
                offset:'0, 0',
                title: function(){
                    return $(this).data('name')
                },

            }).on('shown.bs.popover', (e) => {
                console.log('showing popover')
                // fill in popover details
                $(".info_details_preview").attr('src', $(e.currentTarget).data('src'));
            });

            $("#existing_image_col").imagesLoaded()
                .progress(onImagesProgress);
                //.always(onImagesAlways);
            $('#userImagesList').imagesLoaded().progress(onImagesProgress);
           // loading = false;
        }).catch((error) => {
       // console.log(error);
        alert('something went wrong retrieving user images');
    }).finally(() => {
        loading = false;
    });

}

// triggered after each item is loaded
function onImagesProgress(imgLoad, image) {
    // console.log('onProgress:')
    // console.log(image)
    // change class if the image is loaded or broken
    var $item = $(image.img);
    $item.removeClass('is-loading');

    if (!image.isLoaded) {
        $item.addClass('is-broken');
    }else{
        $item.closest('.user_image_preview_div').draggable({
            helper: "clone",
            revert: true,
            revertDuration: 0,
            zIndex: 1000000,
            containment: "#myCanvas"
        });
    }
    // update progress element
    //loadedImageCount++;
    //updateProgress( loadedImageCount );
}

const addUserImageToCanvas = (id, top, left) => {
    wait(true);
    fabric.Image.fromURL(baseurl + '/board/usermedia/' + id + '/display', function (oImg) {
        oImg.left = left/canvas.getZoom();// + (oImg.getScaledWidth() / 2);
        oImg.top = top/canvas.getZoom();
        // oImg.top = top;
        // oImg.left = left;
        oImg.scaleToWidth(200);
        canvas.add(oImg).renderAll();
        wait(false)
    });
   // $("#new_image_modal").modal('hide');

}

// the user uploaded image upload functionality
Dropzone.options.newImageDropzone = {
    params: {
        '_token': $('meta[name="csrf-token"]').attr('content')
    },
    maxFiles: 1,
    acceptedFiles: "image/*",
    init: function (e) {
        this.on("addedfile",  (file)=> {
            let reader = new FileReader();
        });
        // clean up and append new file entry to selector
        this.on("success",  (file, result)=> {
            this.removeFile(file);
            // console.log('success!');
            // console.log(result);
            // let newElementStr ='<div class="user_image_preview_div col-xs-2" data-id="' + result.id + '" data-name="' + result.name + '" data-src="' + baseurl + '/board/usermedia/' + result.id + '/thumb">' +
            //     '<div >' +
            //     '<label style="position: relative;">' +
            //     // this space is for making favrourites
            //     // '<a href="#" class="clipart_fav_btn" ><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-three-dots-vertical" viewBox="0 0 16 16">\n' +
            //     // '  <path d="M9.5 13a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0z"/>\n' +
            //     // '</svg></a>'+
            //     '<a href="#" onclick="addUserImageToCanvas(' + result.id + ', 50,50)" class="clipart_delete_btn" ><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-plus" viewBox="0 0 16 16"><path d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"/></svg></a>'+
            //     '<input type="radio"  name="image_selection" value="' + result.id + '" data-name="' + result.name + '">' +
            //     '<img alt="' + result.name + '" class="user_images_preview is-loading" src="' + baseurl + '/board/usermedia/' + result.id + '/thumb" >' +
            //     '</label>' +
            //     '</div>' +
            //     '</div>';
            //
            // let newElement = $(newElementStr);
            // $("#existing_image_col").prepend(newElement);

            //new design
            let content='<li class="user_image_preview_div"' +
                ' data-id="' + result.id + '' +
                '" data-name="' + result.name + '' +
                '" data-src="' +
                '' + baseurl + '/board/usermedia/' + result.id + '/thumb"> ' +
                '<img src="'+baseurl + '/board/usermedia/' + result.id+'/thumb" alt="" class="user_images_preview">' +
                '<a href="#" style="position: relative; top:-82px; left: 4px" class="user_img_delete_btn" onclick="confirmUserImageDelete('+ result.id+')"><i class="fas fa-window-close text-danger"></i></a>'+
                ' </li>'

                // '<li class="user_image_preview_div tiles" data-id="' + result.id + '" data-name="' + result.name + '" data-src="' + baseurl + '/board/usermedia/' + result.id + '/thumb"> <img src="'+baseurl + '/board/usermedia/' + result.id+'/thumb" alt="" class="user_images_preview is-loading"> </li>';
            let newElement = $(content);

            $('#userImagesList').prepend(content);
            $(newElement).imagesLoaded()
                .progress(onImagesProgress);
            $('#userImagesList').imagesLoaded()
                .progress(onImagesProgress);

        })
        $('#add_image_btn').on("click", function () {
            console.log('Processing...')
        });

    }
};

//var currentlyDeletingImage = -1;

// a confirmation step for when we're deleting an image
function confirmUserImageDelete(id) {
    currentUserImageID = id;

    $('#deletedialog').modal('show');
}

const roolyDeleteUserImage = () => {
    $('#deletedialog').modal('hide');
    wait(true)
    axios.get(baseurl + '/board/usermedia/' +currentUserImageID + '/delete',
    ).then(function (response) {
        console.log(response);
        if (response.data.status == 0) {
            // remove the element
            $("li.user_image_preview_div[data-id='" + currentUserImageID + "']").remove();

        } else {
            alert('something went wrong with the delete');
        }
    })
        .catch(function (error) {
            console.log(error);
            alert('something went wrong with the delete');
        })
        .finally(function () {
            // always executed
            wait(false)
        });
}

const insertUserImageFromButton = () => {
    let id = $("input[name='user_images_selection']:checked").val();
    $("#new_shape_modal").modal('hide').on('hidden.bs.modal', function (e) {
        $("input[name='user_images_selection']:checked").removeAttr('checked');
    }).modal('hide');
    addUserImageToCanvas(id, 100, 100)
}
