<div id="downloaddialog" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Download artboard</h4>
            </div>
            <div class="modal-body">
                <div class="form-group ">
                    <label for="download_filetype">File type</label>
                    <select onchange="handleDownloadFiletypeChange()" id="download_filetype" class="w-100 form-control" >
                        <option value="png" data-detail="Recommended for general use" selected>PNG</option>
                        <option value="jpg" data-detail="Smaller file size but less quality">JPG</option>
{{--                        <option value="tiff" data-detail="Uncompressed image" >TIFF</option>--}}
                        <option value="svg" data-detail="SVG vector image" >SVG</option>
                        <option value="pdf" data-detail="PDF for printing at high resolution">PDF</option>
                    </select>
                    <label class="mt-1" id="download_filetype_detail">Recommended for general use</label>
                </div>
                <div class="form-group" id="download_resolution_group">
                    <label for="download_resolution">Resolution</label>
                    <select id="download_resolution" class="w-100 form-control"  onchange="handleDownloadResolutionChange()">
                        <option value="96" data-detail="Good for web/screen" selected>96dpi</option>
                        <option value="300" data-detail="High resolution for Print publishing">300dpi</option>

                    </select>
                    <label class="mt-1" id="download_resolution_detail">Good for web/screen</label>
                </div>
                <div class="form-group ">
                    <button class="btn btn-success btn-block" onclick="downloadArtboard()">Download</button>
                </div>
            </div>
        </div>
    </div>
</div>
