<nav class="navbar navbar-expand-md navbar-light bg-light custom-navbar mb-0 mt-1"
     style="background:none !important;">
    <a class="navbar-left main-logo" href="{{route('frontend.index')}}">
        <img src="{{asset('img/frontend/backgrounds/main_logo.svg')}}" alt="">
    </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse"
                    data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                    aria-label="@lang('labels.general.toggle_navigation')">
                <span class="navbar-toggler-icon"></span>
            </button>
            @auth
            @endauth

    <div class="collapse navbar-collapse home_nav" id="navbarSupportedContent">
        <ul class="navbar-nav ml-auto">
            @auth
                @cannot('no ads')
                    <li class="nav-item ml-auto">
                        <a href="{{route('frontend.user.newplan')}}" class="btn btn-lg btn-outline-warning">
                            Go pro!
                        </a>
                    </li>
                @endcannot
                <li class="nav-item ml-auto"><a href="{{ route('frontend.index') }}"
                                        class="nav-link g_et_al_navigation ">Home</a>
                </li>
                @can('no ads')
                        @yield('forum_link')
{{--                    <li class="nav-item ml-auto"><a href="{{ route('frontend.channels.index') }}"--}}
{{--                                             class="nav-link g_et_al_navigation ">Forum</a>--}}
{{--                    </li>--}}
                @else
                    <li class="nav-item ml-auto"><a href="{{route('frontend.user.newplan')}}"
                                             class="nav-link g_et_al_navigation" style="color: salmon">
                            Go pro for forum access
                        </a>
                    </li>
                @endcan
{{--                <li class="nav-item" style="">--}}
{{--                    <a href="{{ route('frontend.messages') }}" class="nav-link g_et_al_navigation"--}}
{{--                       id="navbarDropdownMenuMessage"--}}
{{--                    >--}}
{{--                        <i class="fas fa-bell">1</i>--}}
{{--                    </a>--}}

{{--                </li>--}}
                <li class="nav-item ml-auto dropdown">
                    <a href="#" class="nav-link g_et_al_navigation dropdown-toggle" id="navbarDropdownMenuUser"
                       data-toggle="dropdown"
                       aria-haspopup="true" aria-expanded="false">
                        <i class="fas fa-user"></i>
                    </a>

                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuUser">
                        @can('view backend')
                            <a href="{{ route('admin.dashboard') }}"
                               class="dropdown-item">@lang('navs.frontend.user.administration')</a>
                        @endcan

                        <a href="{{ route('frontend.user.account') }}"
                           class="dropdown-item {{ active_class(Route::is('frontend.user.account')) }}">@lang('navs.frontend.user.account')</a>
                        <a href="{{ route('frontend.auth.logout') }}"
                           class="dropdown-item">@lang('navs.general.logout')</a>
                    </div>
                </li>
                {{--                @endif--}}
            @endauth

            @guest
                <li class="nav-item ml-auto {{ active_class(Route::is('frontend.plans_pricing')) }} "
                    style="padding-right: 1rem; padding-left: 1rem"><a href="{{route('frontend.plans_pricing')}}"
                                                                       class="nav-link g_et_al_navigation">Plans and
                        pricing</a>
                </li>
                <li class="nav-item ml-auto {{ active_class(Route::is('frontend.about_us')) }}"
                    style="padding-right: 1rem; padding-left: 1rem"><a href="{{route('frontend.about_us')}}"
                                                                       class="nav-link g_et_al_navigation">About us</a>
                </li>
                <li class="nav-item ml-auto {{ active_class(Route::is('frontend.contact')) }}" style="padding-right: 1rem; padding-left: 1rem"><a href="{{route('frontend.contact')}}"
                class="nav-link {{ active_class(Route::is('frontend.contact')) }} g_et_al_navigation">@lang('navs.frontend.contact')</a>
                             </li>

                @if(config('access.registration'))
                    <li class="nav-item ml-auto {{ active_class(Route::is('frontend.auth.register')) }}"
                        style="padding-right: 1rem; padding-left: 1rem"><a href="{{route('frontend.auth.register')}}"
                                                                           class="nav-link g_et_al_navigation register-btn {{ active_class(Route::is('frontend.auth.register')) }}">@lang('navs.frontend.register')</a>
                    </li>
                @endif
                <li class="nav-item {{ active_class(Route::is('frontend.auth.login')) }}" style="padding-left: 1rem"><a
                        href="{{route('frontend.auth.login')}}"
                        class="nav-link g_et_al_navigation login-btn {{ active_class(Route::is('frontend.auth.login')) }}">@lang('navs.frontend.login')</a>
                </li>

            @else

            @endguest


        </ul>
    </div>
</nav>
