{{ html()->form('PATCH', route('frontend.auth.password.update'))->class('form-horizontal')->open() }}
<div class="row">
    <div class="col">
        <div class="form-group">
            {{ html()->label('Email address (this is your username)')->for('email') }}
            {{ html()->email('email')
                ->class('form-control')
                ->placeholder('Email')
                ->value($logged_in_user->email)
                ->autofocus()
                ->required() }}
        </div><!--form-group-->
    </div><!--col-->
</div><!--row-->
    <div class="row">
        <div class="col">
            <div class="form-group">
                {{ html()->label(__('validation.attributes.frontend.old_password'))->for('old_password') }}

                {{ html()->password('old_password')
                    ->class('form-control')
                    ->placeholder(__('validation.attributes.frontend.old_password'))

                    ->required() }}
            </div><!--form-group-->
        </div><!--col-->
    </div><!--row-->

    <div class="row">
        <div class="col">
            <div class="form-group">
                {{ html()->label(__('validation.attributes.frontend.password'))->for('password') }}

                {{ html()->password('password')
                    ->class('form-control')
                    ->placeholder(__('validation.attributes.frontend.password'))
                    ->required() }}
            </div><!--form-group-->
        </div><!--col-->
    </div><!--row-->

    <div class="row">
        <div class="col">
            <div class="form-group">
                {{ html()->label(__('validation.attributes.frontend.password_confirmation'))->for('password_confirmation') }}

                {{ html()->password('password_confirmation')
                    ->class('form-control')
                    ->placeholder(__('validation.attributes.frontend.password_confirmation'))
                    ->required() }}
            </div><!--form-group-->
        </div><!--col-->
    </div><!--row-->

    <div class="row">
        <div class="col">
            <div class="form-group">
                {{ form_submit(__('labels.general.buttons.update') . ' ' . __('validation.attributes.frontend.password'), 'btn-block btn btn-success') }}
            </div><!--form-group-->
        </div><!--col-->
    </div><!--row-->
{{ html()->form()->close() }}
