<?php

namespace App\Models\Boards;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class BoardTemplateType extends Model
{
    use SoftDeletes;
    /**
     * Don't auto-apply mass assignment protection.
     *
     * @var array
     */
    protected $guarded = [];

    // explicitly define tables
    protected $table = 'board_template_types';

    protected $fillable = [
        'text'
    ];

    // clipart tags
    public function template_board()
    {
        return $this->belongsToMany('App\Models\Boards\Board', 'board_board_template_types', 'board_template_types_id', 'board_id');
    }


}
