<?php

namespace App\Models\Graphics;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class CustomGraphicsRequestReference extends Model
{
    //
    use SoftDeletes;

    protected $guarded = [];

    // explicitly define tables
    protected $table = 'custom_graphics_references';

    protected $fillable = [
        'custom_graphics_requests_id', 'text'
    ];

    public function custom_graphics_requests(): \Illuminate\Database\Eloquent\Relations\HasOne
    {
        return $this->hasOne('App\Models\Graphics\CustomGraphicsRequest', 'id', 'custom_graphics_requests_id');
    }
}
