<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateClipartColourwaysTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(!Schema::hasTable('clipart_colourways')) {
            Schema::create('clipart_colourways', function (Blueprint $table) {
                $table->bigIncrements('id');
                $table->bigInteger('clipart_id');
                $table->longText('data');
                $table->string('colour')->nullable();
                $table->timestamps();
                $table->softDeletes();
                $table->string('colour_name')->nullable();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('clipart_colourways');
    }
}
