<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateStripePlansTable2 extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('stripe_plans', function (Blueprint $table) {
            if (!Schema::hasColumn('stripe_plans', 'lab_limit')) {
                $table->text('lab_limit')->nullable();
            };
            if (!Schema::hasColumn('stripe_plans', 'archived')) {
                $table->text('archived')->nullable();
            }
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('stripe_plans', function (Blueprint $table) {
            $table->dropColumn('lab_limit');
        });
        Schema::table('stripe_plans', function (Blueprint $table) {
        $table->dropColumn('archived');
    });
    }
}
