<div class="p-2">
    <form>
        <div class="d-flex flex-column">
            <h6 class="save-heading">Fill/stroke style</h6>
            <div class="d-flex justify-content-center">
                <div id="update_shape_fill_colour_div" class="bigcolour" data-tippy-content="Fill colour">
                    <div>
                        <input class="spectrum-color-picker" id="update_shape_fill_colour" value='#276cb8'/>
                    </div>
                </div>
                <div class="shape-seperater"></div>
                <div data-tippy-content="Stroke colour" class="bigcolour" id="update_shape_border_colour_div">
                    <input class="spectrum-color-picker" id="update_shape_border_colour" value='#276cb8'/>
                </div>
                <div class="shape-seperater"></div>
                <div class=board-tool-shape style="padding: 2px">
                    <label class="input-group" data-tippy-content="Solid stroke">
                        <input type="radio" name="shape_border_style" style="display: none"
                               onchange="updateStroke(event)" value="0_0" checked>
                        <img src="{{asset('/img/frontend/icons/border_solid.svg')}}"
                             style="margin-top: 8px">
                    </label>
                </div>
                <div class=board-tool-shape style="padding: 2px">
                    <label class="input-group" data-tippy-content="Long dash"><input type="radio"
                                                                                     name="shape_border_style"

                                                                                     style="display: none"
                                                                                     onchange="updateStroke(event)"
                                                                                     value="25_10">
                        <img src="{{asset('/img/frontend/icons/border_dash.svg')}}"
                             style="margin-top: 8px">
                    </label>
                </div>
                <div class=board-tool-shape style="padding: 2px">
                    <label class="input-group" data-tippy-content="Short dash stroke">
                        <input type="radio" name="shape_border_style" style="display: none"

                               onchange="updateStroke(event)" value="5_10">
                        <img src="{{asset('/img/frontend/icons/border_dot.svg')}}"
                             style="margin-top: 8px">
                    </label>
                </div>
                <div class=board-tool-shape style="padding: 2px" id="no_border_control">
                    <label class="input-group" data-tippy-content="No stroke">
                        <input type="radio" name="shape_border_style" style="display: none"
                               onchange="updateStroke(event)" value="none">
                        <img src="{{asset('/img/frontend/icons/border_none.svg')}}"
                             style="margin-top: 8px">
                    </label>
                </div>
            </div>
            <h6 class="save-heading">Stroke Width</h6>
            <div class="opacity">
                <input id="border_weight_range" onchange="updateStroke(event)"
                       class="range-slider_range" type="range" value="1" min="1" step="1" max="60">
                {{--            <span id="border_weight_number" class="range-slider_vaue">50</span>--}}
            </div>

        </div>
    </form>

    <button class="main-tool" id="shapesUpdateButton">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 96.671 96.671">
            <g data-name="Layer 2">
                <g data-name="Layer 1">
                    <path
                        d="M0,12.3355v72A12.3355,12.3355,0,0,0,12.3355,96.671h72A12.3355,12.3355,0,0,0,96.671,84.3355v-72A12.3355,12.3355,0,0,0,84.3355,0h-72A12.3355,12.3355,0,0,0,0,12.3355ZM31.1175,75.9419a94.1917,94.1917,0,0,1-10.1508,3.1114l-.0163.0022a96.991,96.991,0,0,1,1.6922-10.4926,56.8232,56.8232,0,0,1,3.1159-9.251L39.8515,71.58A56.9914,56.9914,0,0,1,31.1175,75.9419Zm42.62-43.285L44.494,66.3243,30.4009,54.0555,59.6441,20.3892a8.0736,8.0736,0,0,1,11.3925-.7887l1.9046,1.6582A8.0775,8.0775,0,0,1,73.7371,32.6569Z"></path>
                </g>
            </g>
        </svg>
    </button>
</div>
