<div class="ml-2 ">

    <div class="btn-group row collapse" id="contextual_toolbar" role="group" aria-label="Contextual controls">
        {{-- Contextual Update --}}
        <div class="p-0 m-0 dropdown collapse" id="shapes_tools_dd">
            <button id="update_shape_btn"
                    data-toggle="dropdown"
                    class="btn btn-outline-secondary board_button optionsbutton update_selection_btn1"
                    data-tippy-content="Update shape">
                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                     class="bi bi-pencil" viewBox="0 0 16 16">
                    <path
                        d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168l10-10zM11.207 2.5L13.5 4.793 14.793 3.5 12.5 1.207 11.207 2.5zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293l6.5-6.5zm-9.761 5.175l-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325z"/>
                </svg>
            </button>
            <form class="dropdown-menu " role="menu" id="shapes_tools">
                <div class="container">
                    <div class="d-flex flex-row pb-2 pt-2">
                        <div class="w-50">
                            <label for="update_shape_fill_colour1">Fill colour</label>
                            <div id="update_shape_fill_colour1"
                                 class="shape-colorpicker colorpicker-category col">
                                <input data-type="colour" type="text"
                                       class="form-control input-lg"
                                       style="display: none" value="#000000"/>
                                <span class="input-group-append">
                <span class="input-group-text colorpicker-input-addon">
                <i></i></span>
            </span>
                            </div>
                        </div>
                        <div class="w-50">
                            <div class="col m-0 p-0">
                                <label for="update_shape_border_colour1">Border colour</label>
                                <div id="update_shape_border_colour1"
                                     class="shape-colorpicker colorpicker-category col">
                                    <input data-type="colour" type="text"
                                           class="form-control input-lg"
                                           style="display: none" value="#000000"/>
                                    <span class="input-group-append">
                <span class="input-group-text colorpicker-input-addon">
                    <i></i></span>
            </span>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="w-100">
                        <div class="w-100">
                            Border weight
                        </div>
                        <div class="d-flex flex-row w-100">
                            <div class="flex-grow-1 ml-1">
                                <input type="range" min="0" max="10"
                                       step="0.1"
                                       class="slider form-control"
                                       onchange="updateShapeOnCanvas(event)"
                                       id="border_weight_range1" style="width: 200px">
                            </div>
                            <div>
                                <input id="border_weight_number1" type="text" style="width: 100px"
                                       oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1'); updateShapeOnCanvas()">
                            </div>
                        </div>
                    </div>
                    <div class="p-2 w-100">
                        <div class="w-100">
                            <label for="update_shape_border_style">Border style</label><br/>
                            <select class="form-control" id="update_shape_border_style"
                                    onchange="updateShapeOnCanvas(event)">
                                <option value="">Solid</option>
                                <option value="2 2">Little dashed</option>
                                <option value="4 1">Long dashed</option>
                            </select>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="p-0 m-0">
            <button id="update_selection_btn1"
                    class="btn btn-outline-secondary board_button optionsbutton update_selection_btn1 collapse"
                    data-tippy-content="Update">
                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                     class="bi bi-pencil" viewBox="0 0 16 16">
                    <path
                        d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168l10-10zM11.207 2.5L13.5 4.793 14.793 3.5 12.5 1.207 11.207 2.5zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293l6.5-6.5zm-9.761 5.175l-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325z"/>
                </svg>
            </button>

        </div>
        {{--                        Colourways--}}
        <div class="m-0 p-0 dropdown collapse" id="colourway_btn_container">
            @include('frontend.board.form.canvascontrols.colourways')
        </div>
        {{--                        Opacity--}}
        <div class="p-0 m-0 dropdown" id="opacity_btn_container">
            @include('frontend.board.form.canvascontrols.opacity')
        </div>
        {{--                        Arrange--}}
        <div class="p-0 m-0 dropdown">
            @include('frontend.board.form.canvascontrols.arrange')
        </div>
        {{--Distribute --}}
        <div class="p-0 m-0 dropdown">
            @include('frontend.board.form.canvascontrols.alignment')
        </div>
        {{--                        Show/hide scale--}}
        <div class="p-0 m-0 collapse" id="show_scale_btn_container">
            <button class="btn btn-outline-secondary board_button "
                    onclick="toggleScale()"
                    data-tippy-content="Show/hide scale">
                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                     viewBox="0 0 100 100">
                    <g id="Layer_2" data-name="Layer 2">
                        <g id="V2_Element_Menu" data-name="V2 Element Menu">
                            <polygon
                                points="100 0 100 100 0 100 0 0 10 0 10 45.56 20 45.56 20 0 33.33 0 33.33 27.85 43.33 27.85 43.33 0 56.67 0 56.67 45.56 66.67 45.56 66.67 0 80 0 80 27.85 90 27.85 90 0 100 0"/>
                        </g>
                    </g>
                </svg>
            </button>
        </div>
        {{--                        Flip x--}}
        <button class="btn btn-outline-secondary board_button" onclick="flip('x')"
                data-tippy-content="Flip horizontal">
            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                 viewBox="0 0 96.67 96.67">
                <g>
                    <g>
                        <rect x="43.96" width="8.12" height="95.22"/>
                        <polygon class="cls-1"
                                 points="57.64 48.34 96.67 96.67 96.67 0 57.64 48.34"/>
                        <polygon points="39.03 48.34 0 96.67 0 0 39.03 48.34"/>
                    </g>
                </g>
            </svg>
        </button>
        {{--                        Flip y--}}
        <button class="btn btn-outline-secondary board_button" onclick="flip('y')"
                data-tippy-content="Flip vertical">
            <svg transform="rotate(270)" xmlns="http://www.w3.org/2000/svg" width="16" height="16"
                 fill="currentColor"
                 viewBox="0 0 96.67 96.67">
                <g>
                    <g>
                        <rect x="43.96" width="8.12" height="95.22"/>
                        <polygon class="cls-1"
                                 points="57.64 48.34 96.67 96.67 96.67 0 57.64 48.34"/>
                        <polygon points="39.03 48.34 0 96.67 0 0 39.03 48.34"/>
                    </g>
                </g>
            </svg>

        </button>
        {{--                   Clone and delete--}}

        <button class="btn btn-outline-secondary board_button" onclick="cloneSelected()"
                data-tippy-content="Clone">
            <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-stickies"
                 fill="currentColor"
                 xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd"
                      d="M0 1.5A1.5 1.5 0 0 1 1.5 0H13a1 1 0 0 1 1 1H1.5a.5.5 0 0 0-.5.5V14a1 1 0 0 1-1-1V1.5z"/>
                <path fill-rule="evenodd"
                      d="M2 3.5A1.5 1.5 0 0 1 3.5 2h11A1.5 1.5 0 0 1 16 3.5v6.086a1.5 1.5 0 0 1-.44 1.06l-4.914 4.915a1.5 1.5 0 0 1-1.06.439H3.5A1.5 1.5 0 0 1 2 14.5v-11zM3.5 3a.5.5 0 0 0-.5.5v11a.5.5 0 0 0 .5.5h6.086a.5.5 0 0 0 .353-.146l4.915-4.915A.5.5 0 0 0 15 9.586V3.5a.5.5 0 0 0-.5-.5h-11z"/>
                <path fill-rule="evenodd"
                      d="M10.5 10a.5.5 0 0 0-.5.5v5H9v-5A1.5 1.5 0 0 1 10.5 9h5v1h-5z"/>
            </svg>
        </button>
        <button class="btn btn-outline-secondary board_button" onclick="deleteSelected()"
                data-tippy-content="Delete (Del)">
            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                 class="bi bi-trash" viewBox="0 0 16 16">
                <path
                    d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6z"/>
                <path fill-rule="evenodd"
                      d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1zM4.118 4L4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118zM2.5 3V2h11v1h-11z"/>
            </svg>
        </button>
    </div>
    <div id="text_toolbar" class="collapse g_etal_tool">
        <div class="d-flex flex-nowrap ml-1" aria-label="Text controls">
            {{--        text font--}}
            <div class="m-1 align-self-center">
                <select class="form-control" style="width: 150px" onchange="updateTextOnCanvas()"
                        id="update_text_font1" data-tippy-content="Font">

                </select>
            </div>
            {{--        Text style--}}
            <div class="btn-group btn-group-sm btn-group-toggle align-self-center ml-1" data-toggle="buttons">
                <label class="btn btn-sm btn-outline-secondary">
                    <input type="checkbox" autocomplete="off" id="update_text_bold1"
                           onchange="updateTextOnCanvas()">
                    <svg width="1em" height="1em" viewBox="0 0 16 16"
                         class="bi bi-type-bold" fill="currentColor"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M8.21 13c2.106 0 3.412-1.087 3.412-2.823 0-1.306-.984-2.283-2.324-2.386v-.055a2.176 2.176 0 0 0 1.852-2.14c0-1.51-1.162-2.46-3.014-2.46H3.843V13H8.21zM5.908 4.674h1.696c.963 0 1.517.451 1.517 1.244 0 .834-.629 1.32-1.73 1.32H5.908V4.673zm0 6.788V8.598h1.73c1.217 0 1.88.492 1.88 1.415 0 .943-.643 1.449-1.832 1.449H5.907z"/>
                    </svg>
                </label>
                <label class="btn btn-sm btn-outline-secondary">
                    <input type="checkbox" autocomplete="off" id="update_text_italic1"
                           onchange="updateTextOnCanvas()">
                    <svg width="1em" height="1em" viewBox="0 0 16 16"
                         class="bi bi-type-italic" fill="currentColor"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M7.991 11.674L9.53 4.455c.123-.595.246-.71 1.347-.807l.11-.52H7.211l-.11.52c1.06.096 1.128.212 1.005.807L6.57 11.674c-.123.595-.246.71-1.346.806l-.11.52h3.774l.11-.52c-1.06-.095-1.129-.211-1.006-.806z"/>
                    </svg>
                </label>
                <label class="btn btn-sm btn-outline-secondary">
                    <input type="checkbox" autocomplete="off" id="update_text_underline1"
                           onchange="updateTextOnCanvas()">
                    <svg width="1em" height="1em" viewBox="0 0 16 16"
                         class="bi bi-type-underline" fill="currentColor"
                         xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M5.313 3.136h-1.23V9.54c0 2.105 1.47 3.623 3.917 3.623s3.917-1.518 3.917-3.623V3.136h-1.23v6.323c0 1.49-.978 2.57-2.687 2.57-1.709 0-2.687-1.08-2.687-2.57V3.136z"/>
                        <path fill-rule="evenodd" d="M12.5 15h-9v-1h9v1z"/>
                    </svg>
                </label>
            </div>
            {{--        Text alignment--}}
            <div class="btn-group btn-group-sm btn-group-toggle align-self-center ml-1" data-toggle="buttons">
                <label class="btn btn-sm btn-outline-secondary"
                       data-tippy-content="Left">
                    <input type="radio" name="update_alignment1" autocomplete="off" checked
                           onchange="updateTextOnCanvas()"
                           value="left">
                    <svg width="1em" height="1em" viewBox="0 0 16 16"
                         class="bi bi-justify-left" fill="currentColor"
                         xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd"
                              d="M2 12.5a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7a.5.5 0 0 1-.5-.5zm0-3a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5zm0-3a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5zm0-3a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5z"/>
                    </svg>
                </label>
                <label class="btn btn-sm btn-outline-secondary"
                       data-tippy-content="Center">
                    <input type="radio" name="update_alignment1" autocomplete="off"
                           value="center"
                           onchange="updateTextOnCanvas()">
                    <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-justify"
                         fill="currentColor"
                         xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd"
                              d="M2 12.5a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5zm0-3a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5zm0-3a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5zm0-3a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5z"/>
                    </svg>
                </label>
                <label class="btn btn-sm btn-outline-secondary" data-tippy-content="Right">
                    <input type="radio" name="update_alignment1" autocomplete="off"
                           value="right"
                           onchange="updateTextOnCanvas()">
                    <svg width="1em" height="1em" viewBox="0 0 16 16"
                         class="bi bi-justify-right" fill="currentColor"
                         xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd"
                              d="M6 12.5a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7a.5.5 0 0 1-.5-.5zm-4-3a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5zm0-3a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5zm0-3a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5z"/>
                    </svg>
                </label>
            </div>
            {{--        Text size--}}
            <div class="btn-group align-self-center ml-1" role="group" aria-label="Text size">
                <button type="button" data-tippy-content="Increase font size" onclick="increaseFont()"
                        class="btn btn-sm btn-outline-secondary">
                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                         class="bi bi-plus-circle" viewBox="0 0 16 16">
                        <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
                        <path
                            d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"/>
                    </svg>
                </button>
                <button type="button" data-tippy-content="Decrease font size" onclick="decreaseFont()"
                        class="btn btn-sm btn-outline-secondary">
                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                         class="bi bi-dash-circle" viewBox="0 0 16 16">
                        <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
                        <path d="M4 8a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7A.5.5 0 0 1 4 8z"/>
                    </svg>
                </button>
            </div>
            {{--        Text colour--}}
            <div id="update_text_colour1" data-tippy-content="Colour"
                 class="text-colorpicker colorpicker-category align-self-center ml-1">
                <input data-type="colour" type="text"
                       class="form-control input-lg"
                       style="display: none" value="#000000"/>
                <span class="input-group-append">
                                                        <span class="input-group-text colorpicker-input-addon">
                                                            <i></i></span>
                                                    </span>
            </div>
            <button class="btn btn-outline-secondary board_button ml-1" onclick="deleteSelected()"
                    data-tippy-content="Delete (Del)">
                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                     class="bi bi-trash" viewBox="0 0 16 16">
                    <path
                        d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6z"/>
                    <path fill-rule="evenodd"
                          d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1zM4.118 4L4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118zM2.5 3V2h11v1h-11z"/>
                </svg>
            </button>
        </div>

    </div>
</div>
