@extends('frontend.layouts.app_minimal')

@section('content')
{{--    {!! Breadcrumbs::render('frontend.messages.show', $thread) !!}--}}
<button class="dashboard_nav_btn dashboard_nav_btn_board"
        onclick=" return window.location.href='{{URL::to('/')}}'">Back to<br>Dashboard<i
        class="fas fa-arrow-left"></i></button>
    <div class="row" style="margin-top: 10px; min-height: 500px">
        <div class="col"
             style="margin-left:20px; background-color: whitesmoke; border: 1px solid #2aa8cc; border-radius: 0px 10px 10px 10px; margin-right: 5px">
            <div class="g_et_al_header2"
                 style="border-bottom: 2px solid grey; padding-bottom: 5px">{{ $thread->subject }}
            </div>
            <table class="table table-hover">
                @foreach($thread->extendedmessages as $message)
                    <tr>
                        <td>
                            <div class="d-flex">
                                <div class="p-2 w-25">
                                    <p class="g_et_al_timecell"> {{$message->created_at->diffForHumans()}}</p>
                                </div>
                                <div class="p-2">
                                    <div class="row">
                                        <div class="col g_et_al_paragraph2">
                                            {!!  $message->body  !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="p-2 w-25">
                                    <div class="row">
                                        <div class="col g_et_al_timecell">
                                            Sent by
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col g_et_al_paragraph2">
                                            @if(!$message->from_name)
                                                @if($message->user&&($message->user->public=='1'))
                                                    {{--                                                    {{dd($message->user)}}--}}
                                                    <a href="{{route('frontend.user.profile.view', $message->user->uuid)}}">
                                                        @endif
                                                        @endif
                                                        @if(!$message->from_name)
                                                        {{ $message->user->name }}
                                                        @else
                                                            {{ $message->from_name }}
                                                            @endif
                                                        @if(!$message->from_name)
                                                            @if($message->user&&($message->user->public=='1'))
                                                    </a>
                                                @endif
                                            @endif

                                        </div>
                                        <div class="col p-2">
                                            <a href="#" data-toggle="modal" data-target="#deletedialog"
                                               data-id="{{$message->thread->id}}"> <i class="far fa-times-circle text-danger"></i></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </td>

                    </tr>

                @endforeach
            </table>
        </div>
    </div>

@endsection
