<?php

Breadcrumbs::for('admin.clipart.index', function ($trail) {
    $trail->push('Clipart management', route('admin.clipart.index'));
});

Breadcrumbs::for('admin.clipart.create', function ($trail) {
    $trail->parent('admin.clipart.index');
    $trail->push('New clipart', route('admin.clipart.create'));
});

Breadcrumbs::for('admin.clipart.show', function ($trail, $id) {
    $trail->parent('admin.clipart.index');
    $trail->push('View clipart', route('admin.clipart.show', $id));
});

Breadcrumbs::for('admin.clipart.edit', function ($trail, $id) {
    $trail->parent('admin.clipart.index');
    $trail->push('Edit clipart', route('admin.clipart.edit', $id));
});

Breadcrumbs::for('admin.shapes.index', function ($trail) {
    $trail->push('Shapes management', route('admin.shapes.index'));
});

Breadcrumbs::for('admin.shapes.create', function ($trail) {
    $trail->parent('admin.shapes.index');
    $trail->push('New shape', route('admin.shapes.create'));
});

Breadcrumbs::for('admin.shapes.edit', function ($trail, $id) {
    $trail->parent('admin.shapes.index');
    $trail->push('Edit shape', route('admin.shapes.edit', $id));
});

Breadcrumbs::for('admin.backgrounds.index', function ($trail) {
    $trail->push('Background management', route('admin.backgrounds.index'));
});

Breadcrumbs::for('admin.backgrounds.create', function ($trail) {
    $trail->parent('admin.backgrounds.index');
    $trail->push('New background', route('admin.backgrounds.create'));
});

Breadcrumbs::for('admin.backgrounds.edit', function ($trail, $id) {
    $trail->parent('admin.backgrounds.index');
    $trail->push('Edit background', route('admin.backgrounds.edit', $id));
});
